nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Public Attributes | List of all members
nx::vms_server_plugins::analytics::stub::video_frames::Ini Struct Reference
Inheritance diagram for nx::vms_server_plugins::analytics::stub::video_frames::Ini:

## Public Member Functions
| NX_INI_FLAG (0, enableOutput, "")
| NX_INI_FLAG (0, deviceDependent, "Respective capability in the manifest.")
| NX_INI_STRING ("", needUncompressedVideoFrames, needUncompressedVideoFramesDescription.c_str())
| NX_INI_INT (-1, crashDeviceAgentOnFrameN, "If >= 0, intentionally crash DeviceAgent on processing a frame with this index.")
| NX_INI_STRING ("primary", preferredStream, "Preferred stream in the Engine manifest. Possible values: \rimary\ \econdary\\ "\undefined\.")
Public Member Functions inherited from nx::kit::IniConfig
| IniConfig (const char *iniFile)
| IniConfig (const IniConfig &)=delete
| IniConfig (IniConfig &&)=delete
IniConfig & | operator= (const IniConfig &)=delete
IniConfig & | operator= (IniConfig &&)=delete
const char * | iniFile () const
const char * | iniFilePath () const
void | reload ()
bool | getParamTypeAndValue (const char *paramName, ParamType *outType, const void **outData) const
| Tweaks ()
| Tweaks (const Tweaks &)=delete
| Tweaks (Tweaks &&)=delete
Tweaks & | operator= (const Tweaks &)=delete
Tweaks & | operator= (Tweaks &&)=delete
template<typename T >
void | set (const T *field, T newValue)

## Public Attributes
const std::string | needUncompressedVideoFramesDescription

## Additional Inherited Members
Public Types inherited from nx::kit::IniConfig
enum | ParamType { ParamType::boolean, ParamType::string, ParamType::integer, ParamType::float_ }
Static Public Member Functions inherited from nx::kit::IniConfig
static bool | isEnabled ()
static void | setEnabled (bool value)
static void | setOutput (std::ostream *output)
static const char * | iniFilesDir ()
static void | setIniFilesDir (const char *iniFilesDir)
Protected Member Functions inherited from nx::kit::IniConfig
bool | regBoolParam (const bool *pValue, bool defaultValue, const char *paramName, const char *description)
int | regIntParam (const int *pValue, int defaultValue, const char *paramName, const char *description)
const char * | regStringParam (const char *const *pValue, const char *defaultValue, const char *paramName, const char *description)
float | regFloatParam (const float *pValue, float defaultValue, const char *paramName, const char *description)

## Member Data Documentation

## ◆ needUncompressedVideoFramesDescription

const std::string nx::vms_server_plugins::analytics::stub::video_frames::Ini::needUncompressedVideoFramesDescription

Initial value:
=
"Respective capability in the manifest: one of "
+ nx::sdk::analytics::allPixelFormatsToStdString(", ") + ".\n"
"Empty means no such capability."

The documentation for this struct was generated from the following file:

- samples/analytics/stub_analytics_plugin/src/nx/vms_server_plugins/analytics/stub/video_frames/stub_analytics_plugin_video_frames_ini.h